<div class="portfolio-container">
  <div class="portfolio-header">
    <div class="portfolio-header-title">
      <div class="portfolio-header-title-first"></div>Recent work
    </div>
    <div class="portfolio-header-filters">
      <div class="portfolio-header-filters-item"
           *ngFor="let filter of filters;"
           (click)="select(filter)"
           [ngClass]="isActive(filter) ? 'filter-active' : ''">
        {{filter.title}}
      </div>
    </div>
  </div>
  <hr class="hr-faded">
  <div #portfolioContent class="portfolio-content" slimScroll [options]="opts" [scrollEvents]="scrollEvents">
    <div @fadeIn *ngFor="let item of items | contentFilter:{title: selected}"
         class="portfolio-content-item">
      <div *ngIf="item.type==='photo' || item.type==='design'" class="portfolio-content-item-background"
           [ngStyle]="{background: 'url(' + item.url + ') no-repeat center center', 'background-size': 'cover'}">
      </div>
      <div *ngIf="item.type==='video'" class="portfolio-content-item-background"
           [ngStyle]="{background: 'url(' + item.fallback + ') no-repeat center center', 'background-size': 'cover'}">
      </div>
      <fa-icon class="portfolio-content-item-icon" [icon]="item.icon"></fa-icon>
      <div class="portfolio-content-item-title"
           [ngClass]="item.luminosity === 'light' ? 'portfolio-content-item-title-light' : 'portfolio-content-item-title-dark'">
        {{item.title | uppercase}}
      </div>
      <div class="portfolio-content-item-type"
           [ngClass]="item.luminosity === 'light' ? 'portfolio-content-item-type-light' : 'portfolio-content-item-type-dark'">
        {{item.type | uppercase}}
      </div>
    </div>
  </div>
</div>
